--- a/src/pcm/pcm_shm.c
+++ b/src/pcm/pcm_shm.c
@@ -45,6 +45,14 @@
 #include <netdb.h>
 #include "aserver.h"
 
+#if _POSIX_C_SOURCE >= 200809L
+#define usleep(a) \
+	do { \
+		const struct timespec req = {0, a * 1000}; \
+		nanosleep(&req, NULL); \
+	} while(0)
+#endif
+
 #ifndef PIC
 /* entry for static linking */
 const char *_snd_module_pcm_shm = "";
--- a/src/ucm/ucm_local.h
+++ b/src/ucm/ucm_local.h
@@ -53,6 +53,14 @@
 #define SEQUENCE_ELEMENT_TYPE_CSET_TLV	6
 #define SEQUENCE_ELEMENT_TYPE_CMPT_SEQ	7
 
+#if _POSIX_C_SOURCE >= 200809L
+#define usleep(a) \
+	do { \
+		const struct timespec req = {0, a * 1000}; \
+		nanosleep(&req, NULL); \
+	} while(0)
+#endif
+
 struct ucm_value {
         struct list_head list;
         char *name;
